<?php
   /*
   Plugin Name: SynthesisVR
   Plugin URI: https://synthesisvr.com/knowledge-base/widgets-wordpress-plugin/
   description: SynthesisVR widget integration
   Version: 1.1.1
   Author: SynthesisVR Inc.
   License: GPL2
   */

function add_synthesis_css()
{
        wp_register_script('iframeResizer', '//api.synthesisvr.com/javascripts/iframeResizer.min.js', array ( 'jquery' ), '3.6.1', true);
        wp_register_script('synthesis_booking', '//api.synthesisvr.com/javascripts/wordpress_v1.js', array ( 'jquery' ), '1', true);
}

add_action( 'wp_enqueue_scripts', 'add_synthesis_css' );


function synthesis_game_categories() {
        echo '<script>jQuery.ajax({ url: \'//api.synthesisvr.com/javascripts/WordpressWidget.js\', dataType: "script", success: function(){ window.svrLoadGames({ skipVariants: true, groupByCategories: jQuery(\'#loadSvrGamesWidget\').data(\'group-categories\'), domain: jQuery(\'#loadSvrGamesWidget\').data(\'domain\'), container: \'#loadSvrGamesWidget\', rowSize: jQuery(\'#loadSvrGamesWidget\').data(\'row-size\'), uuid: jQuery(\'#loadSvrGamesWidget\').data(\'key\'), gamesPerRow: jQuery(\'#loadSvrGamesWidget\').data(\'games-per-row\') }); } });</script>';
}
function synthesis_hello_world_shortcode( $atts ) {
        $a = shortcode_atts( array(
                'type' => 'unknown',
                'public_key' => '',
                'domain' => 'api.synthesisvr.com',
                'games_per_row' => '3',
                'categories' => '',
                'row-size' => '100%'
        ), $atts );

        $domain = '//'.$a['domain'].'/';

        if ($a['type'] == 'booking') {
                if (strlen($a['public_key']) == 0) {
                        return '<h5 style="color:red">Specify "public_key" property for the Synthesis shortcode</h5>';
                }

                wp_enqueue_script('iframeResizer');
                wp_enqueue_script('synthesis_booking');

                return '<div class="svrIframe"><iframe src="'.$domain.'widgets/'.$a['public_key'].'"></iframe></div>';
        }
        if ($a['type'] == 'goods') {
                if (strlen($a['public_key']) == 0) {
                        return '<h5 style="color:red">Specify "public_key" property for the Synthesis shortcode</h5>';
                }

                wp_enqueue_script('iframeResizer');
                wp_enqueue_script('synthesis_booking');

                return '<div class="svrIframe"><iframe src="'.$domain.'widgets/goods/'.$a['public_key'].'"></iframe></div>';
        }
        if ($a['type'] == 'membership') {
                if (strlen($a['public_key']) == 0) {
                        return '<h5 style="color:red">Specify "public_key" property for the Synthesis shortcode</h5>';
                }

                wp_enqueue_script('iframeResizer');
                wp_enqueue_script('synthesis_booking');

                return '<div class="svrIframe"><iframe src="'.$domain.'widgets/membership/'.$a['public_key'].'"></iframe></div>';
        }
        elseif ($a['type'] == 'game_categories') {
                if (strlen($a['public_key']) == 0) {
                        return '<h5 style="color:red">Specify "public_key" property for the Synthesis shortcode</h5>';
                }

                add_action('wp_footer', 'synthesis_game_categories',100,0);

                return "<div id='loadSvrGamesWidget' data-group-categories='".$a['categories']."' data-domain='//".$a['domain']."' data-row-size='".$a['row-size']."' data-key='".$a['public_key']."' data-games-per-row='".$a['games_per_row']."'></div>";
        }
        else {
                return '<h5 style="color:red">Specify "type" (supported: booking ; game_categories) property for the Synthesis shortcode | Current = ['.$a['type'].']</h5>';
        }
}


add_shortcode( 'synthesis', 'synthesis_hello_world_shortcode' );

?>
